Bug 25520 - Change wording on SMS phone number set up
Summary: Change wording on SMS phone number set up
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Nind
QA Contact: Matt Blenkinsop
URL:
Keywords: Academy, Sandbox
Depends on:
Blocks:
 
Reported: 2020-05-15 18:59 UTC by Kelly McElligott
Modified: 2024-06-07 06:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the hint when entering an SMS number on the OPAC messaging settings page - it is now the same as the staff interface patron hint.
Version(s) released in:


Attachments
Bug 25520: Fix the SMS number input hint on the OPAC messaging page (2.64 KB, patch)
2024-06-04 02:07 UTC, David Nind
Details | Diff | Splinter Review
Bug 25520: Fix the SMS number input hint on the OPAC messaging page (2.69 KB, patch)
2024-06-04 16:35 UTC, Sam Lau
Details | Diff | Splinter Review
Bug 25520: Fix the SMS number input hint on the OPAC messaging page (2.76 KB, patch)
2024-06-05 15:56 UTC, Matt Blenkinsop
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-05-15 18:59:42 UTC
The wording in the staff interface when a staff member is adding an SMS number is confusing.  

Could we show two different formats to enter a phone number?

For example:

SMS number should be in the format 9876543210 or +11234567890





On the OPAC, I believe it looks clearer to users:

Please enter numbers only. (123) 456-7890 would be entered as 1234567890.
Comment 1 David Nind 2024-06-04 01:48:15 UTC
The current text is different now:
- Staff interface: "Please enter numbers only. Prefix the number with + or 00 if including the country code."
- OPAC: "Please enter numbers only. Prefix the number with + if including the country code."

They are a little more consistent, but have got out of sync.

I would suggest changing the OPAC text to the same as the staff interface - adding "..or 00..".

History of recent changes:
- Bug 26299: both staff interface and OPAC changed to "Please enter numbers only. Prefix the number with + if including the country code.", change made in 20.11
- Bug 30026: staff interface changed from above to "Please enter numbers only. Prefix the number with + or 00 if including the country code.", changed addded "..or 00..", change made in 22.11.00, 22.05.03 (see comments 9 to 11)

Testing notes:
1. Set SMSSendDriver to Email
2. To enter an SMS number in the staff interface:
   2.1 Go to Patrons > + New patron > Patron.
   2.2 Scroll down to the 'Patron messaging preferences' section at the end of the page.
   2.3 Note that the hint is "Please enter numbers only. Prefix the number with + or 00 if including the country code.".
   2.3 Results for entering different numbers and formats:
       987654321 => accepted
       edit and add some letters => letters are removed as you enter them
       edit and try and add some dashes 987-654-321 => the dashes are removed
       edit and try and add some brackets (987) 999-654-321 => the brackets are removed
       edit and try and add some spaces 987 654 321 => the spaces are removed
       +64003987654321 => accepted
       003987654321 => accepted
3. To enter an SMS number in the OPAC:
   3.1 Go to OPAC > Your account (may have to log in).
   3.2 Select the 'Messaging' tab/section.
   3.3 Note that the hint is "Please enter numbers only. Prefix the number with + if including the country code.".
   3.3 Results for entering different numbers and formats:
       987654321 => accepted
       edit and add some letters => letters are removed as you enter them
       edit and try and add some dashes 987-654-321 => the dashes are removed
       edit and try and add some brackets (987) 999-654-321 => the brackets are removed
       edit and try and add some spaces 987 654 321 => the spaces are removed
       +64003987654321 => accepted
       003987654321 => accepted
Comment 2 David Nind 2024-06-04 02:07:13 UTC
Created attachment 167367 [details] [review]
Bug 25520: Fix the SMS number input hint on the OPAC messaging page

This makes the hint when entering an SMS number on the OPAC messaging
settings page the same as the staff interface hint: "Please enter
numbers only. Prefix the number with + or 00 if including the country
code." For some countries using either +XX or 00XX are accepted,
for example: +49 or 0049.

Test plan:
1. Set the SMSSendDriver system preference to Email
2. View the current hint for entering an SMS number in the staff
   interface:
   2.1 Go to Patrons > + New patron > Patron.
   2.2 Scroll down to the 'Patron messaging preferences' section at the
       end of the page.
   2.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + or 00 if including the country code.".
3. View the current hint for entering an SMS number in the OPAC:
   3.1 Go to the OPAC > Your account (log in if required).
   3.2 Select the 'Messaging' tab/section.
   3.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + if including the country code.".
   3.4 The difference: "..or 00.." is missing.
4. Apply the patch.
5. Refresh the OPAC messaging page.
6. The hint text for the OPAC is now the same as the staff interface.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Sam Lau 2024-06-04 16:35:50 UTC
Created attachment 167409 [details] [review]
Bug 25520: Fix the SMS number input hint on the OPAC messaging page

This makes the hint when entering an SMS number on the OPAC messaging
settings page the same as the staff interface hint: "Please enter
numbers only. Prefix the number with + or 00 if including the country
code." For some countries using either +XX or 00XX are accepted,
for example: +49 or 0049.

Test plan:
1. Set the SMSSendDriver system preference to Email
2. View the current hint for entering an SMS number in the staff
   interface:
   2.1 Go to Patrons > + New patron > Patron.
   2.2 Scroll down to the 'Patron messaging preferences' section at the
       end of the page.
   2.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + or 00 if including the country code.".
3. View the current hint for entering an SMS number in the OPAC:
   3.1 Go to the OPAC > Your account (log in if required).
   3.2 Select the 'Messaging' tab/section.
   3.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + if including the country code.".
   3.4 The difference: "..or 00.." is missing.
4. Apply the patch.
5. Refresh the OPAC messaging page.
6. The hint text for the OPAC is now the same as the staff interface.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Sam Lau <samalau@gmail.com>
Comment 4 David Nind 2024-06-04 18:36:03 UTC
Thanks for the sign-off Sam!
Comment 5 Matt Blenkinsop 2024-06-05 15:56:08 UTC
Created attachment 167459 [details] [review]
Bug 25520: Fix the SMS number input hint on the OPAC messaging page

This makes the hint when entering an SMS number on the OPAC messaging
settings page the same as the staff interface hint: "Please enter
numbers only. Prefix the number with + or 00 if including the country
code." For some countries using either +XX or 00XX are accepted,
for example: +49 or 0049.

Test plan:
1. Set the SMSSendDriver system preference to Email
2. View the current hint for entering an SMS number in the staff
   interface:
   2.1 Go to Patrons > + New patron > Patron.
   2.2 Scroll down to the 'Patron messaging preferences' section at the
       end of the page.
   2.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + or 00 if including the country code.".
3. View the current hint for entering an SMS number in the OPAC:
   3.1 Go to the OPAC > Your account (log in if required).
   3.2 Select the 'Messaging' tab/section.
   3.3 Note that the hint is "Please enter numbers only. Prefix the
       number with + if including the country code.".
   3.4 The difference: "..or 00.." is missing.
4. Apply the patch.
5. Refresh the OPAC messaging page.
6. The hint text for the OPAC is now the same as the staff interface.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Sam Lau <samalau@gmail.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>